exec()
	.then(data => {
		console.log(data);
	}, err => {
		console.error(err);
	});

function exec() {
	return fetchData()
		.then(data => {
			data = modifyData(data);
			return saveData(data);
		})
}

function fetchData() {
	return new Promise((resolve, reject) => {
		// 実際はAjaxなどでサーバからデータを取ってきたり……
		setTimeout(() => {
			resolve({
				name: "vvakame",
				likes: ["cat"],
			});
		}, 0)
	});
}

function modifyData(data) {
	data.likes.push("boiled egg");
	return data;
}

function saveData(data) {
	return new Promise((resolve, reject) => {
		// 実際はAjaxなどでサーバにデータを保存したり……
		data.id = "foobar";
		resolve(data);
	});
}
