let iter = fourSeasons();
console.log(iter.next("ja")); // { value: '春', done: false } と表示される
console.log(iter.next("en")); // { value: 'summer', done: false } と表示される

function* fourSeasons() {
	let returnsMap = {
		ja: ["春", "夏", "秋", "冬"],
		en: ["spring", "summer", "automn", "winter"],
	}

	for (let counter = 0; counter < 4; counter++) {
		let lang = function.sent;        // nextに渡された値
		yield returnsMap[lang][counter]; // nextから返す値
	}
}
